<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Example generator outputs • quickcheck</title>
<!-- jquery --><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script><!-- Bootstrap --><link href="https://cdnjs.cloudflare.com/ajax/libs/bootswatch/3.4.0/flatly/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha256-nuL8/2cJ5NDSSwnKD8VqreErSWHtnEP9E7AySL+1ev4=" crossorigin="anonymous"></script><!-- bootstrap-toc --><link rel="stylesheet" href="../bootstrap-toc.css">
<script src="../bootstrap-toc.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous">
<!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- pkgdown --><link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script><link href="../extra.css" rel="stylesheet">
<meta property="og:title" content="Example generator outputs">
<meta property="og:description" content="quickcheck">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body data-spy="scroll" data-target="#toc">
    <div class="container template-article">
      <header><div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">quickcheck</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.0.0.9000</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
<li>
  <a href="../index.html">
    <span class="fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
<li>
      <a href="../articles/generator-outputs.html">Example generator outputs</a>
    </li>
  </ul>
</li>
      </ul>
<ul class="nav navbar-nav navbar-right"></ul>
</div>
<!--/.nav-collapse -->
  </div>
<!--/.container -->
</div>
<!--/.navbar -->

      

      </header><script src="generator-outputs_files/header-attrs-2.8/header-attrs.js"></script><div class="row">
  <div class="col-md-9 contents">
    <div class="page-header toc-ignore">
      <h1 data-toc-skip>Example generator outputs</h1>
            
      
      
      <div class="hidden name"><code>generator-outputs.Rmd</code></div>

    </div>

    
    
<div class="sourceCode" id="cb1"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va">quickcheck</span><span class="op">)</span></code></pre></div>
<div class="sourceCode" id="cb2"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">ex</span> <span class="op">&lt;-</span> <span class="kw">function</span><span class="op">(</span><span class="va">gen</span><span class="op">)</span> <span class="va">gen</span> |&gt; <span class="fu">..length</span><span class="op">(</span><span class="fl">5</span><span class="op">)</span></code></pre></div>
<div id="integer-vectors" class="section level2">
<h2 class="hasAnchor">
<a href="#integer-vectors" class="anchor"></a>Integer vectors</h2>
<div class="sourceCode" id="cb3"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="fu"><a href="../reference/..integer.html">..integer</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]      0      0      0 252308 779931</span>
<span class="fu"><a href="../reference/..integer_bounded.html">..integer_bounded</a></span><span class="op">(</span>left <span class="op">=</span> <span class="fl">1</span>, right <span class="op">=</span> <span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] 9 4 7 9 8</span>
<span class="fu"><a href="../reference/..integer_left_bounded.html">..integer_left_bounded</a></span><span class="op">(</span>left <span class="op">=</span> <span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] 754744 201445 602907 142416 907991</span>
<span class="fu"><a href="../reference/..integer_right_bounded.html">..integer_right_bounded</a></span><span class="op">(</span>right <span class="op">=</span> <span class="op">-</span><span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -563161 -341528 -768410 -202526 -869828</span>
<span class="fu"><a href="../reference/..integer_not_in_bounds.html">..integer_not_in_bounds</a></span><span class="op">(</span>left <span class="op">=</span> <span class="op">-</span><span class="fl">1</span>, right <span class="op">=</span> <span class="fl">1</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]   78573  391573  285475  -41225 -281242</span>
<span class="fu"><a href="../reference/..integer_not_zero.html">..integer_not_zero</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]  416589 -732711  191849  100654  369373</span>
<span class="fu"><a href="../reference/..integer_positive.html">..integer_positive</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] 778580 612754 763933 555875 522556</span>
<span class="fu"><a href="../reference/..integer_negative.html">..integer_negative</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -654493  -54399 -512248 -563809 -850885</span>
<span class="fu"><a href="../reference/..integer_divisible.html">..integer_divisible</a></span><span class="op">(</span>by <span class="op">=</span> <span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -647430 -382700 -251820 -137130  184050</span>
<span class="fu"><a href="../reference/..integer_not_divisible.html">..integer_not_divisible</a></span><span class="op">(</span>by <span class="op">=</span> <span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -256387  296939  751564 -289198   11636</span>
<span class="fu"><a href="../reference/..integer_even.html">..integer_even</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]  205010  544354 -498920  472770 -351300</span>
<span class="fu"><a href="../reference/..integer_odd.html">..integer_odd</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -514949 -281611  107791 -543863  446157</span>
<span class="fu"><a href="../reference/..integer_large.html">..integer_large</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]     -414972  2147483647  2147483647 -2147483647 -2147483647</span></code></pre></div>
</div>
<div id="double-vectors" class="section level2">
<h2 class="hasAnchor">
<a href="#double-vectors" class="anchor"></a>Double vectors</h2>
<div class="sourceCode" id="cb4"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="fu"><a href="../reference/..double.html">..double</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]        0        0  7955726        0 47845922</span>
<span class="fu"><a href="../reference/..double_bounded.html">..double_bounded</a></span><span class="op">(</span>left <span class="op">=</span> <span class="fl">1</span>, right <span class="op">=</span> <span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] 7.009663 2.454266 3.875524 3.368643 2.444605</span>
<span class="fu"><a href="../reference/..double_left_bounded.html">..double_left_bounded</a></span><span class="op">(</span>left <span class="op">=</span> <span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] 53045569 65175808 46803645 85679762 28723699</span>
<span class="fu"><a href="../reference/..double_right_bounded.html">..double_right_bounded</a></span><span class="op">(</span>right <span class="op">=</span> <span class="op">-</span><span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -18401102.5  -9177205.5   -588944.9 -36610056.5 -64135599.9</span>
<span class="fu"><a href="../reference/..double_not_in_bounds.html">..double_not_in_bounds</a></span><span class="op">(</span>left <span class="op">=</span> <span class="op">-</span><span class="fl">1</span>, right <span class="op">=</span> <span class="fl">1</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -495172.6 -865536.1  678060.1 -966064.2  216987.7</span>
<span class="fu"><a href="../reference/..double_not_zero.html">..double_not_zero</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -551941.07  -98073.55  675919.34  807705.63 -887167.11</span>
<span class="fu"><a href="../reference/..double_positive.html">..double_positive</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] 38682549  3404066 45666713 74332842 95561576</span>
<span class="fu"><a href="../reference/..double_negative.html">..double_negative</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -60222600 -88569208 -86223564 -52177483 -89774529</span>
<span class="fu"><a href="../reference/..double_divisible.html">..double_divisible</a></span><span class="op">(</span>by <span class="op">=</span> <span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]  292990 -124650  -91280 -132860 -138760</span>
<span class="fu"><a href="../reference/..double_not_divisible.html">..double_not_divisible</a></span><span class="op">(</span>by <span class="op">=</span> <span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]  -21247  330992  -80104 -193652 -391404</span>
<span class="fu"><a href="../reference/..double_even.html">..double_even</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -410844  205862  960440 -182496 -273056</span>
<span class="fu"><a href="../reference/..double_odd.html">..double_odd</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]  501099  277159  -82019 -519817  953757</span>
<span class="fu"><a href="../reference/..double_large.html">..double_large</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]  1.797693e+308 -1.797693e+308 -1.797693e+308 -1.797693e+308 -1.797693e+308</span>
<span class="fu"><a href="../reference/..double_whole.html">..double_whole</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]  389438  735161  175664  -11475 -553200</span>
<span class="fu"><a href="../reference/..double_fractional.html">..double_fractional</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]   -710073.7 -52002445.4 -81244252.9  -4943806.5  62847647.8</span></code></pre></div>
</div>
<div id="numeric-vectors" class="section level2">
<h2 class="hasAnchor">
<a href="#numeric-vectors" class="anchor"></a>Numeric vectors</h2>
<div class="sourceCode" id="cb5"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="fu"><a href="../reference/..numeric.html">..numeric</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]         0  64958938 -14889317 -26824016  -5466614</span>
<span class="fu"><a href="../reference/..numeric_bounded.html">..numeric_bounded</a></span><span class="op">(</span>left <span class="op">=</span> <span class="fl">1</span>, right <span class="op">=</span> <span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] 1 4 9 7 7</span>
<span class="fu"><a href="../reference/..numeric_left_bounded.html">..numeric_left_bounded</a></span><span class="op">(</span>left <span class="op">=</span> <span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] 250851.7 316494.4 532307.7 666647.7 980716.8</span>
<span class="fu"><a href="../reference/..numeric_right_bounded.html">..numeric_right_bounded</a></span><span class="op">(</span>right <span class="op">=</span> <span class="op">-</span><span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -916722.1 -292065.6 -231013.9 -305080.4 -234869.8</span>
<span class="fu"><a href="../reference/..numeric_not_in_bounds.html">..numeric_not_in_bounds</a></span><span class="op">(</span>left <span class="op">=</span> <span class="op">-</span><span class="fl">1</span>, right <span class="op">=</span> <span class="fl">1</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -639317   11064 -715895 -814042 -206192</span>
<span class="fu"><a href="../reference/..numeric_not_zero.html">..numeric_not_zero</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -795920.74  330442.06 -670906.29  -76841.36  501525.29</span>
<span class="fu"><a href="../reference/..numeric_positive.html">..numeric_positive</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] 672891.4 643593.9 289616.4 717229.0 888133.6</span>
<span class="fu"><a href="../reference/..numeric_negative.html">..numeric_negative</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -702502 -494929 -845578 -146336 -538117</span>
<span class="fu"><a href="../reference/..numeric_divisible.html">..numeric_divisible</a></span><span class="op">(</span>by <span class="op">=</span> <span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -431490  216700 -620550 -154410  891710</span>
<span class="fu"><a href="../reference/..numeric_not_divisible.html">..numeric_not_divisible</a></span><span class="op">(</span>by <span class="op">=</span> <span class="fl">10</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]   80155  160087  713429  451102 -201214</span>
<span class="fu"><a href="../reference/..numeric_even.html">..numeric_even</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]  428460   94504 -444084 -518974 -565192</span>
<span class="fu"><a href="../reference/..numeric_odd.html">..numeric_odd</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] -922561 -612537 -610977 -467977 -167623</span></code></pre></div>
</div>
<div id="character-vectors" class="section level2">
<h2 class="hasAnchor">
<a href="#character-vectors" class="anchor"></a>Character vectors</h2>
<div class="sourceCode" id="cb6"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="fu"><a href="../reference/..character.html">..character</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] ""  "E" "+" ""  ""</span>
<span class="fu"><a href="../reference/..character_not_empty.html">..character_not_empty</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] "G" "G" "g" "." "P"</span>
<span class="fu"><a href="../reference/..character_letters.html">..character_letters</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] "w" "R" "U" "o" "f"</span>
<span class="fu"><a href="../reference/..character_letters_lowercase.html">..character_letters_lowercase</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] "l" "w" "o" "y" "b"</span>
<span class="fu"><a href="../reference/..character_letters_uppercase.html">..character_letters_uppercase</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1] "J" "F" "E" "W" "Y"</span></code></pre></div>
</div>
<div id="logical" class="section level1">
<h1 class="hasAnchor">
<a href="#logical" class="anchor"></a>Logical</h1>
<div class="sourceCode" id="cb7"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="fu"><a href="../reference/..logical.html">..logical</a></span><span class="op">(</span><span class="op">)</span> |&gt; <span class="fu">ex</span><span class="op">(</span><span class="op">)</span>
<span class="co">#&gt; Quickcheck generator:</span>
<span class="co">#&gt; Example:</span>
<span class="co">#&gt; [1]  TRUE FALSE FALSE  TRUE  TRUE</span></code></pre></div>
</div>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="pkgdown-sidebar">

        <nav id="toc" data-toggle="toc"><h2 data-toc-skip>Contents</h2>
    </nav>
</div>

</div>



      <footer><div class="copyright">
  <p>Developed by Andrew McNeil.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.6.1.</p>
</div>

      </footer>
</div>

  


  </body>
</html>
